VDB-81070 · CVE-2015-8277 · BID 83334

Flexera FlexNet Publisher up to 11.13.1.2 Packet 0x107/0x10a memory corruption

CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
8.4$0-$5k0.00

A vulnerability was found in Flexera FlexNet Publisher up to 11.13.1.2. It has been declared as critical. This vulnerability affects an unknown part of the component Packet Handler. The manipulation of the argument 0x107/0x10a as part of a Opcode leads to a memory corruption vulnerability. The CWE definition for the vulnerability is CWE-119. The software performs operations on a memory buffer, but it can read from or write to a memory location that is outside of the intended boundary of the buffer. As an impact it is known to affect confidentiality, integrity, and availability. CVE summarizes:

Multiple buffer overflows in (1) lmgrd and (2) Vendor Daemon in Flexera FlexNet Publisher before 11.13.1.2 Security Update 1 allow remote attackers to execute arbitrary code via a crafted packet with opcode (a) 0x107 or (b) 0x10a.

The weakness was published 02/24/2016 by ryan (Website). The advisory is available at kb.cert.org. This vulnerability was named CVE-2015-8277 since 11/19/2015. The attack can be initiated remotely. No form of authentication is required for a successful exploitation. Technical details are known, but there is no available exploit.

Applying the patch 11.13.1.2 Security Update 1 is able to eliminate this problem. Furthermore it is possible to detect and prevent this kind of attack with TippingPoint and the filter 24690.

The vulnerability is also documented in the vulnerability database at Vulnerability Center (SBV-57235).

Productinfo

Vendor

Name

CPE 2.3info

CPE 2.2info

CVSSv3info

VulDB Meta Base Score: 8.5
VulDB Meta Temp Score: 8.4

VulDB Base Score: 7.3
VulDB Temp Score: 7.0
VulDB Vector: 🔍
VulDB Reliability: 🔍

NVD Base Score: 9.8
NVD Vector: 🔍

CVSSv2info

AVACAuCIA
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Reliability: 🔍

NVD Base Score: 🔍

Exploitinginfo

Class: Memory corruption
CWE: CWE-119
ATT&CK: Unknown

Local: No
Remote: Yes

Availability: 🔍
Status: Not defined

EPSS Score: 🔍
EPSS Percentile: 🔍

Price Prediction: 🔍
Current Price Estimation: 🔍

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Threat Intelligenceinfo

Interest: 🔍
Active Actors: 🔍
Active APT Groups: 🔍

Countermeasuresinfo

Recommended: Patch
Status: 🔍
Patch: 11.13.1.2 Security Update 1
TippingPoint: 🔍

McAfee IPS: 🔍
McAfee IPS Version: 🔍

Fortigate IPS: 🔍

Timelineinfo

11/19/2015 🔍
02/22/2016 +95 days 🔍
02/23/2016 +1 days 🔍
02/23/2016 +0 days 🔍
02/24/2016 +1 days 🔍
02/24/2016 +0 days 🔍
03/11/2016 +16 days 🔍
07/08/2022 +2310 days 🔍

Sourcesinfo

Advisory: kb.cert.org
Researcher: ryan
Status: Not defined
Confirmation: 🔍

CVE: CVE-2015-8277 (🔍)
SecurityTracker: 1035266
Vulnerability Center: 57235 - Flexera FlexNet Remote Code Execution via Crafted Opcode Packet, Critical
SecurityFocus: 83334 - Flexera Software FlexNet Publisher CVE-2015-8277 Buffer Overflow Vulnerability

Entryinfo

Created: 02/24/2016 09:28 AM
Updated: 07/08/2022 12:52 PM
Changes: (4) vulnerability_cvss2_nvd_basescore vulnerability_cvss3_meta_tempscore exploit_price_0day source_sectracker
Complete: 🔍

Comments

No comments yet. Languages: en.

Please log in to comment.

Want to stay up to date on a daily basis?

Enable the mail alert feature now!